<template>
  <div >
    <office-header/>
    <div class="flex-1">
      <slot/>
    </div>
  </div>
</template>

<script setup lang="ts">
  import { useLoadRestaurantsMenu } from '~/composable/restaurant/useLoadRestaurantsMenu';
  import { useLoadRestaurantsMenuGroups } from '~/composable/restaurant/useLoadRestaurantsMenuGroups';

  await Promise.all([
    useLoadRestaurantsMenuGroups(),
    useLoadRestaurantsMenu(ref(1)),
  ])
</script>